function test1(folder)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%Easy Show Frog Data%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


path='C:\Users\Andrs\Documents\MATLAB';
folder=folder;
Ek=dlmread(fullfile(path,folder,'Ek.dat'));
a=dlmread(fullfile(path,folder,'a.dat'));
arecon=dlmread(fullfile(path,folder,'arecon.dat'));
Autok=dlmread(fullfile(path,folder,'Autok.dat'));
frog=fullfile(path,folder,'frog.dat');
marg=fullfile(path,folder,'marg.dat');
Speck=dlmread(fullfile(path,folder,'Speck.dat'));

data=fullfile(path,folder,'data.mat');
load data;
header = data(1:5);
trace = data(6:length(data));

figure(1),
plotyy(Ek(:,1),Ek(:,2),Ek(:,1),Ek(:,3))

figure(2),
plotyy(Ek(:,1),Ek(:,4),Ek(:,1),Ek(:,5))

figure(3),
plotyy(Speck(:,1),Speck(:,2),Speck(:,1),Speck(:,3))

figure(4),
plotyy(Speck(:,1),Speck(:,4),Speck(:,1),Speck(:,5))

figure(5),
plot(Autok(:,1),Autok(:,2))

% 
% a=dlmread('a.dat',' ');
% % tfrqview(a,[],1:128,'type2')
% arecon=dlmread('arecon.dat',' ');
% data=dlmread(fullfile(path,folder,'datas.txt'));
% 
% % data2=[[data(4751:9500)] [data(1:4750)]];
% 
% trace = data(1:95,:);

    
figure(6),
subplot(2,1,1),
imagesc(a)
subplot(2,1,2),
imagesc(arecon)


%raw data from FROG measurement%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%calculating timesteps dt and wavelength steps dl from header of raw data

dt=[-header(1)/2*header(3):header(3):(header(1)/2-1)*header(3)];
dl=[-header(2)/2*header(4)+header(5):header(4):(header(2)/2-1)*header(4)+header(5)];
figure('Name','FROG Traces')
subplot(2,4,[2 3])
colormap(jet(64));
imagesc(dt,dl,trace.');                            %Raw data vs. delay and wavelength
title('Original Trace');                     
xlabel('\tau in fs');ylabel('\lambda in nm');


% 
% % tfrqview(arecon,[],1:128,'type2')
% % imagesc(trace)
% %original and retrieved FROG traces%
% % %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% % 
% % %re-arranging of data from a-file of original FROG trace
% % nta=a(1,2);                                        %number of delay steps
% % nla=a(1,1);                                        %number of wavelength steps
% % la=a(3:2+nla,1);                                   %vector with wavelengths
% % ta=a(3+nla:2+nla+nta,1);                           %vector with delays
% % 
% % for i=0:nla-1                                      %building matrix with data
% %        trace_org(:,i+1)=a(2+nta+nla+1+i*nla:2+nta+nla+nla+i*nla,1);
% % end
% % trace_org=trace_org.';0
% % %re-arranging of data from arecon-file of retrieved FROG trace
% % 
% % ntarec=arecon(1,2);                                %number of delay steps
% % nlarec=arecon(1,1);                                %number of wavelength steps
% % larec=arecon(3:2+nlarec,1);                        %vector with wavelengths
% % tarec=arecon(3+nlarec:2+nlarec+ntarec,1);          %vector with delays
% %     
% % for i=0:nlarec-1                                   %building matrix with data
% %     trace_recon(:,i+1)=arecon(2+ntarec+nlarec+1+i*nlarec:2+ntarec+nlarec+nlarec+i*nlarec,1);
% % end
% % trace_recon=trace_recon.';
% % %plotting traces
% % 
% % figure('Name','FROG Traces')
% % subplot(2,4,[5 6])
% % imagesc(ta,la,trace_org);                          %original FROG trace
% % title('Original Pulse');
% % xlabel('\tau in fs');ylabel('\lambda in nm');
% % subplot(2,4,[7 8])
% % imagesc(tarec,larec,trace_recon);                   %retrieved FROG trace
% % title('Received Pulse');
% % xlabel('\tau in fs');ylabel('\lambda in nm');
